package com.emr.dao.templateSearch;

import com.emr.entity.templateSearch.Emr_Modle;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_ModleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Modle record);

    int insertSelective(Emr_Modle record);

    Emr_Modle selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Modle record);

    int updateByPrimaryKey(Emr_Modle record);

    /**
     * 验证模板标识是否存在
     * */
    Emr_Modle checkModleFlag(@Param("creater") String creater,@Param("modleFlag") String modleFlag);
    /**
     * 验证模板名称是否存在
     * */
    Emr_Modle checkModleName(@Param("creater") String creater,@Param("modleName") String modleName);
    /**
     * 根据创建用户查询默认模板对象
     * */
    Emr_Modle selectFlagExist(@Param("creater") String creater);
    /**
     * 根据创建用户查询模板集合
     * */
    List<Emr_Modle> selectAllByCreater(@Param("creater") String creater);
    /**
     * 根据创建用户查询可用模板集合
     * */
    List<Emr_Modle> selectAllByCreaterOrderSelect(@Param("creater") String creater);
}